ALTER TABLE S_ARTIKLI
ADD FB VARCHAR2(1 CHAR);

ALTER TABLE S_ARTIKLI
ADD PORTAL VARCHAR2(1 CHAR);

ALTER TABLE S_ARTIKLI
ADD DESCRIPTION VARCHAR2(500 CHAR);

DROP VIEW V_S_ARTIKLI;

CREATE OR REPLACE VIEW V_S_ARTIKLI
AS (
SELECT SA.ID_ARTIKEL, SA.ID_ENOTA, SA.ID_DAVEK, SA.ID_GRUPA, SA.NAZIV, SA.NAZIV1, SA.BAR_KODA, SA.MIN_ZALOGA, SA.MIN_IZDAJA, SA.CENA_SKL, SA.CENA_MP, SA.CENA_VP, SA.CENA_DEM, SA.DT_VPISA,
SA.DOBAVITELJ, SA.UPOR_VPIS, SA.UPOR_SPREM, SA.DAV_STOPNJA, SA.DT_SPREMEMBE, SA.KONTO, SA.LOKACIJA, SA.SIFRA_DOB, SA.V_UPORABI, SA.PRENOS, SA.LOKACIJA1, SA.LOKACIJA2, SA.CENAZDDV, SA.VRSTA,
SA.INTERNI_OPIS, SA.PROIZVAJALEC, SA.NNLOCATION_ID, SA.SALE, SA.STOCKS, SA.RECIPE, SA.FB, SA.PORTAL, SA.DESCRIPTION,
SE.NAZIV AS S_ENOTE_NAZIV, SE.OSN_ENOTA AS S_ENOTE_OSN_ENOTA, SD.OPIS AS S_DAVEK_OPIS, SG.NAZIV AS S_GRUPE_NAZIV, SG.SERVICE AS S_GRUPE_SERVICE, 
SG.COMMISSION_PERCENTAGE AS S_GRUPE_COMMISSION_PERCENTAGE, SG.OWNER_TYPE AS S_GRUPE_OWNER_TYPE, SG.ROUNDING AS S_GRUPE_ROUNDING
FROM S_ARTIKLI SA
LEFT OUTER JOIN S_DAVEK SD ON SD.ID_DAVEK = SA.ID_DAVEK
LEFT OUTER JOIN S_ENOTE SE ON SE.ID_ENOTA = SA.ID_ENOTA
LEFT OUTER JOIN S_GRUPE SG ON SG.ID_GRUPA = SA.ID_GRUPA
);

ALTER TABLE FB_LOCATION
ADD ID_LOKACIJA VARCHAR2(10 CHAR);

CREATE TABLE FB_PRICE_LIST (
  ID_FB_PRICE_LIST NUMBER NOT NULL,
  NAME VARCHAR2(200 CHAR),
  DATE_FROM DATE,
  DATE_TO DATE,
  HOUR_FROM VARCHAR2(5 CHAR),
  HOUR_TO VARCHAR2(5 CHAR),
  DATE_CREATED DATE,
  USER_CREATED VARCHAR2(20 CHAR),
  DATE_CHANGED DATE,
  USER_CHANGED VARCHAR2(20 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT FB_PRICE_LIST_PK PRIMARY KEY (ID_FB_PRICE_LIST)
);

CREATE SEQUENCE FB_PRICE_LIST_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_FB_PRICE_LIST
AS (
SELECT FP.ID_FB_PRICE_LIST, FP.NAME, FP.DATE_FROM, FP.DATE_TO, FP.HOUR_FROM, FP.HOUR_TO, FP.DATE_CREATED, FP.USER_CREATED, FP.DATE_CHANGED, FP.USER_CHANGED, FP.ACTIVE
FROM FB_PRICE_LIST FP
);

CREATE TABLE FB_PRICE_LIST_LOCATION (
ID_FB_PRICE_LIST_LOCATION NUMBER NOT NULL,
ID_FB_PRICE_LIST NUMBER,
ID_FB_LOCATION NUMBER,
CONSTRAINT FB_PRICE_LIST_LOCATION_PK PRIMARY KEY (ID_FB_PRICE_LIST_LOCATION),
CONSTRAINT FPLL_ID_FB_PRICE_LIST_FK FOREIGN KEY (ID_FB_PRICE_LIST) REFERENCES FB_PRICE_LIST(ID_FB_PRICE_LIST),
CONSTRAINT FPLL_ID_FB_LOCATION_FK FOREIGN KEY (ID_FB_LOCATION) REFERENCES FB_LOCATION(ID_FB_LOCATION)
);

CREATE INDEX IX_FPLL_ID_FB_PRICE_LIST ON FB_PRICE_LIST_LOCATION (ID_FB_PRICE_LIST);
CREATE INDEX IX_FPLL_ID_FB_LOCATION ON FB_PRICE_LIST_LOCATION (ID_FB_LOCATION);

CREATE SEQUENCE FB_PRICE_LIST_LOCATION_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE FB_PRICE_LIST_PRODUCT (
ID_FB_PRICE_LIST_PRODUCT NUMBER NOT NULL,
ID_FB_PRICE_LIST NUMBER NOT NULL,
ID_ARTIKEL NUMBER NOT NULL,
GROSS_PRICE NUMBER,
CONSTRAINT FB_PRICE_LIST_PRODUCT_PK PRIMARY KEY (ID_FB_PRICE_LIST_PRODUCT),
CONSTRAINT FPLP_ID_FB_PRICE_LIST_FK FOREIGN KEY (ID_FB_PRICE_LIST) REFERENCES FB_PRICE_LIST(ID_FB_PRICE_LIST),
CONSTRAINT FPLP_ID_ARTIKEL_FK FOREIGN KEY (ID_ARTIKEL) REFERENCES S_ARTIKLI(ID_ARTIKEL)
);

CREATE INDEX IX_FPFP_ID_FB_PRICE_LIST ON FB_PRICE_LIST_PRODUCT (ID_FB_PRICE_LIST);
CREATE INDEX IX_FPFP_ID_ARTIKEL ON FB_PRICE_LIST_PRODUCT (ID_ARTIKEL);

CREATE SEQUENCE FB_PRICE_LIST_PRODUCT_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1563, SYSDATE, '5.5', 1483, 'Fb price list')
;
