ALTER TABLE NNPRIKLJ
MODIFY USER_SPREMEMBE VARCHAR2(50 CHAR);

CREATE INDEX IX_M_STORITVE_ID_SALDKONT_GEN ON M_STORITVE (ID_SALDKONT_GEN);

DROP VIEW V_CREDIT_LIMIT;

CREATE OR REPLACE VIEW V_CREDIT_LIMIT AS (
  SELECT CL.ID_CREDIT_LIMIT, CL.ID_LASTNIKA, CL.ID_TYPE, CL.DATE_FROM, CL.DATE_TO, CL.AMOUNT, CL."COMMENT", CL.ACTIVE, CLT.DESCRIPTION AS TYPE_DESCRIPTION, 
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER,
  (SELECT SUM(COALESCE(MS.FULL_AMOUNT, 0)) FROM M_STORITVE MS WHERE MS.VRSTA = 'ST' AND (MS.N_RACUNA IS NULL OR MS.N_RACUNA <> 'STORNO') AND (SELECT COUNT(*) FROM SALDKONT_ZAP SZ WHERE SZ.ID_SALDKONT = MS.ID_SALDKONT) = 0 AND MS.ID_SALDKONT_GEN IN (
    SELECT S.ID_SALDKONT FROM SALDKONT S WHERE S.ID_KUPCA = CL.ID_LASTNIKA AND S.VRSTA_RACUNA = 'TRF' AND (CL.DATE_FROM IS NULL OR S.DATUM  >= CL.DATE_FROM) AND (CL.DATE_TO IS NULL OR S.DATUM <= CL.DATE_TO) AND S.STORNO IS NULL 
  )) AS USED_AMOUNT
  FROM CREDIT_LIMIT CL 
  LEFT OUTER JOIN CREDIT_LIMIT_TYPE CLT ON CLT.ID_CREDIT_LIMIT_TYPE = CL.ID_TYPE
  LEFT OUTER JOIN KUPCI KU ON KU.ID = CL.ID_LASTNIKA
);

ALTER TABLE ASSET
ADD BARCODE VARCHAR2(100 CHAR);

DROP VIEW V_ASSET;

CREATE OR REPLACE VIEW V_ASSET AS (
  SELECT A.ID_ASSET, A.ID_ASSET_PARENT, A.ID_TYPE, A.ID_CATEGORY, A.NAME, A.DESCRIPTION, A.SERIAL_NUMBER, A.REGISTRATION_NUMBER, A.MANAGER, A.NNLOCATION_ID, A.BARCODE, A.ACTIVE,
  AP.NAME AS PARENT_ASSET_NAME, AT.DESCRIPTION AS TYPE_DESCRIPTION, AC.DESCRIPTION AS CATEGORY_DESCRIPTION, NU.USER_ AS NUSER_USER,
  (SELECT MAX(M.DATE_TO) FROM MAINTENANCE_TASK M WHERE M.ID_ASSET = A.ID_ASSET AND M.ID_STATUS = 3) AS LAST_MAINTENANCE_DATE
  FROM ASSET A
  LEFT OUTER JOIN ASSET AP ON AP.ID_ASSET = A.ID_ASSET_PARENT
  LEFT OUTER JOIN ASSET_TYPE AT ON AT.ID_ASSET_TYPE = A.ID_TYPE
  LEFT OUTER JOIN ASSET_CATEGORY AC ON AC.ID_ASSET_CATEGORY = A.ID_CATEGORY
  LEFT OUTER JOIN NUSER NU ON NU.NUSER = A.MANAGER
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1733, SYSDATE, '5.5', 1653, 'Razno')
;
