CREATE TABLE CONTRACT_CONTACT_TYPE (
  ID_CONTRACT_CONTACT_TYPE NUMBER NOT NULL,
  DESCRIPTION VARCHAR2(200 CHAR),
  INTERNAL_DESCRIPTION VARCHAR2(200 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT CONTRACT_CONTACT_TYPE_PK PRIMARY KEY (ID_CONTRACT_CONTACT_TYPE)
);

INSERT INTO CONTRACT_CONTACT_TYPE(ID_CONTRACT_CONTACT_TYPE, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(1, 'Guarantor', 'Guarantor', 'Y');

INSERT INTO CONTRACT_CONTACT_TYPE(ID_CONTRACT_CONTACT_TYPE, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(2, 'Witness', 'Witness', 'Y');

CREATE SEQUENCE CONTRACT_CONTACT_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 20 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE CONTRACT_CONTACT (
  ID_CONTRACT_CONTACT NUMBER NOT NULL,
  ID_POGODBE NUMBER,
  ID_TYPE NUMBER,
  FIRST_NAME VARCHAR2(200 CHAR),
  LAST_NAME VARCHAR2(200 CHAR),
  PHONE_NUMBER VARCHAR2(100 CHAR),
  EMAIL VARCHAR2(100 CHAR),
  CONSTRAINT CONTRACT_CONTACT_PK PRIMARY KEY (ID_CONTRACT_CONTACT),
  CONSTRAINT CONTRACT_CONTACT_ID_POGODBE_FK FOREIGN KEY (ID_POGODBE) REFERENCES M_POGODBE(ID_POGODBE),
  CONSTRAINT CONTRACT_CONTACT_ID_TYPE_FK FOREIGN KEY (ID_TYPE) REFERENCES CONTRACT_CONTACT_TYPE(ID_CONTRACT_CONTACT_TYPE)
);

ALTER TABLE CONTRACT_CONTACT
ADD ACTIVE VARCHAR2(1 CHAR);

CREATE INDEX IX_CONTRACT_CONTACT_ID_POGODBE ON CONTRACT_CONTACT (ID_POGODBE);
CREATE INDEX IX_CONTRACT_CONTACT_ID_TYPE ON CONTRACT_CONTACT (ID_TYPE);

CREATE SEQUENCE CONTRACT_CONTACT_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_CONTRACT_CONTACT AS (
SELECT C.ID_CONTRACT_CONTACT, C.ID_POGODBE, C.ID_TYPE, C.FIRST_NAME, C.LAST_NAME, C.PHONE_NUMBER, C.EMAIL, C.ACTIVE, 
CCT.DESCRIPTION AS TYPE_DESCRIPTION
FROM CONTRACT_CONTACT C
LEFT OUTER JOIN CONTRACT_CONTACT_TYPE CCT ON CCT.ID_CONTRACT_CONTACT_TYPE = C.ID_TYPE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2071, SYSDATE, '5.5', 1991, 'Contract contact')
;